# List Concepts

Get concepts saved inside a model.

Endpoint: GET /knowledgegraphs/{knowledgeGraphId}/models/{modelId}/concepts
Version: 1
Security: apiKey

## Query parameters:

  - `page` (integer)
    The number of the page to read. Parameter isn't required, by default, set to '0'.
    Example: "0"

  - `pageSize` (integer)
    Maximum number of elements on the page to read. Parameter isn't required. Can't be negative, by default, set to 10.
    Example: "10"

  - `conceptId` (integer)
    Used to identify concept by passing the ID in the URL link.
    Example: "1"

  - `searchedText` (string)
    Used to filter objects.
    Example: "Searched Text"

  - `classTypeId` (integer)
    Used to filter concepts only of a specific type.
    Example: "1"

  - `sort` (string)
    Sort concepts.
    Enum: "LAST_EDITOR", "LAST_MODIFICATION", "NAME", "URL"

  - `sortType` (string)
    Allows changing the default sorting order (ASC) to desire by user.
    Enum: "DESC", "ASC"

  - `fetchModificationDate` (boolean)
    If enabled modification date will be determined against concept values.
    Example: "false"

  - `publicationStatus` (string)
    If enabled, start filtering based on publication status.
    Enum: "PUBLISHED", "UNPUBLISHED"

## Path parameters:

  - `knowledgeGraphId` (integer, required)
    Used to identify Knowledge Graph and objects inside it.
    Example: "1"

  - `modelId` (integer, required)
    Used to identify model and objects inside it.
    Example: "1"

## Header parameters:

  - `X-Credential-Username` (string, required)
    Username that is passed as header parameter with the name X-Credential-Username.
The header can take a form of:
  * username (e.g. "johnjoe")
  * user id (e.g. "87b1bdb1-ba87-4522-b363-c5a0e6e917b3")
    Example: "87b1bdb1-ba87-4522-b363-c5a0e6e917b3"

## Response 200 fields (application/json):

  - `pageSize` (integer, required)
    Number of items per page.
    Example: "100"

  - `page` (integer, required)
    Current page number.
    Example: "1"

  - `values` (array, required)
    List of concepts.

  - `values.id` (string, required)
    Unique identifier of the concept.
    Example: "1"

  - `values.url` (string, required)
    URL to the documentation which summarizes all details of the Business Partner [Concepts](https://meta.cdq.com/Business_partner).
    Example: "https://meta.cdq.com/Business_partner"

  - `values.lastModifier` (string)
    Username of the last modifier.
    Example: "user"

  - `values.lastModificationDate` (string)
    Date of the last modification.
    Example: "2026-06-03T12:58:34Z"

  - `values.publicationStatus` (string)
    Publication status of the concept.
    Example: "PUBLISHED"

  - `total` (integer, required)
    Total number of items which can be paged.
    Example: "67"


## Response 400 fields

## Response 403 fields

## Response 404 fields
